Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Class Base64BinaryDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.AbstractStringValidator
                  |
                  +--weblogic.apache.xerces.validators.datatype.Base64BinaryDatatypeValidator

public class Base64BinaryDatatypeValidator
extends AbstractStringValidator

Base64BinaryValidator validates that XML content is a W3C string type.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: Base64BinaryDatatypeValidator.java,v 1.8 2001/07/31 14:40:59 neilg Exp $
Author:
  Ted Leung, Kito D. Mann, Virtua Communications Corp., Jeffrey Rodriguez, Mark Swinkles - List Validation refactoring

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractStringValidator
`FACET_SPECIAL_TOKEN, fEnumeration, fLength, fMaxLength, fMinLength, fTokenType, SPECIAL_TOKEN_ENTITY, SPECIAL_TOKEN_IDNAME, SPECIAL_TOKEN_IDNCNAME, SPECIAL_TOKEN_IDREFNAME, SPECIAL_TOKEN_IDREFNCNAME, SPECIAL_TOKEN_NAME, SPECIAL_TOKEN_NCNAME, SPECIAL_TOKEN_NMTOKEN, SPECIAL_TOKEN_NONE`

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`Base64BinaryDatatypeValidator()`
`Base64BinaryDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected void` | `assignAdditionalFacets(java.lang.String key, java.util.Hashtable facets)`
`protected void` | `checkValueSpace(java.lang.String content)`
`int` | `compare(java.lang.String value1, java.lang.String value2)`
`protected int` | `getLength(java.lang.String content)`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractStringValidator
`checkBaseFacetConstraints, clone, derivationList, inheritAdditionalFacets, setTokenType, validate, validateToken`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64BinaryDatatypeValidator

    public Base64BinaryDatatypeValidator()
                                  throws InvalidDatatypeFacetException

### Base64BinaryDatatypeValidator

    public Base64BinaryDatatypeValidator(DatatypeValidator base,
                                         java.util.Hashtable facets,
                                         boolean derivedByList)
                                  throws InvalidDatatypeFacetException

Method Detail

### assignAdditionalFacets

    protected void assignAdditionalFacets(java.lang.String key,
                                          java.util.Hashtable facets)
                                   throws InvalidDatatypeFacetException

  Overrides:
    assignAdditionalFacets in class AbstractStringValidator

### checkValueSpace

    protected void checkValueSpace(java.lang.String content)
                            throws InvalidDatatypeValueException

  Overrides:
    checkValueSpace in class AbstractStringValidator

### getLength

    protected int getLength(java.lang.String content)

  Overrides:
    getLength in class AbstractStringValidator

### compare

    public int compare(java.lang.String value1,
                       java.lang.String value2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference